> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/address-book-contacts-for-tenant.md).

# Address Book Contacts For Tenant

## GET /V2/{tenantVarCode}/addressbookcontacts

> Returns a list of contacts for specified tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Contacts for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookcontacts":{"get":{"tags":["Address Book Contacts for Tenant"],"summary":"Returns a list of contacts for specified tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContact"}}}}}}}}},"components":{"schemas":{"AddressBookContact":{"required":["ContactName"],"type":"object","properties":{"ContactId":{"type":"string","description":"Unique string that identifies the contact","nullable":true},"ContactName":{"minLength":1,"type":"string","description":"A string with contact name"},"IsEscalationContact":{"type":"boolean","description":"In the event of an emergency, escalation contact information will be provided to first responders. Applicable to Tenant contacts only."},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant contact available also for sub-tenants. Applicable to Tenant contacts only."},"SyncToDevices":{"type":"boolean","description":"Contact is synced to devices. Read only property applicable to Tenant contacts only.","nullable":true},"CultureName":{"type":"string","description":"Optionally denotes the Culture for the contact.","nullable":true},"ContactEntries":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContactEntry"},"description":"List of details for the contact","nullable":true}},"additionalProperties":false},"AddressBookContactEntry":{"required":["Address"],"type":"object","properties":{"EntryId":{"type":"string","description":"Unique string that identifies the contact entry","nullable":true},"Address":{"minLength":1,"type":"string","description":"The address of the recipient"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time","nullable":true}},"additionalProperties":false}}}}
```

## POST /V2/{tenantVarCode}/addressbookcontacts

> Creates a new global contact

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Contacts for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookcontacts":{"post":{"tags":["Address Book Contacts for Tenant"],"summary":"Creates a new global contact","operationId":"PostTenantAddressBookContact","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Contact","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"AddressBookContact":{"required":["ContactName"],"type":"object","properties":{"ContactId":{"type":"string","description":"Unique string that identifies the contact","nullable":true},"ContactName":{"minLength":1,"type":"string","description":"A string with contact name"},"IsEscalationContact":{"type":"boolean","description":"In the event of an emergency, escalation contact information will be provided to first responders. Applicable to Tenant contacts only."},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant contact available also for sub-tenants. Applicable to Tenant contacts only."},"SyncToDevices":{"type":"boolean","description":"Contact is synced to devices. Read only property applicable to Tenant contacts only.","nullable":true},"CultureName":{"type":"string","description":"Optionally denotes the Culture for the contact.","nullable":true},"ContactEntries":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContactEntry"},"description":"List of details for the contact","nullable":true}},"additionalProperties":false},"AddressBookContactEntry":{"required":["Address"],"type":"object","properties":{"EntryId":{"type":"string","description":"Unique string that identifies the contact entry","nullable":true},"Address":{"minLength":1,"type":"string","description":"The address of the recipient"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time","nullable":true}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/addressbookcontacts/{contactId}

> Returns a specific contact

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Contacts for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookcontacts/{contactId}":{"get":{"tags":["Address Book Contacts for Tenant"],"summary":"Returns a specific contact","operationId":"GetTenantAddressBookContact","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"contactId","in":"path","description":"Contact Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}}}}}}}},"components":{"schemas":{"AddressBookContact":{"required":["ContactName"],"type":"object","properties":{"ContactId":{"type":"string","description":"Unique string that identifies the contact","nullable":true},"ContactName":{"minLength":1,"type":"string","description":"A string with contact name"},"IsEscalationContact":{"type":"boolean","description":"In the event of an emergency, escalation contact information will be provided to first responders. Applicable to Tenant contacts only."},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant contact available also for sub-tenants. Applicable to Tenant contacts only."},"SyncToDevices":{"type":"boolean","description":"Contact is synced to devices. Read only property applicable to Tenant contacts only.","nullable":true},"CultureName":{"type":"string","description":"Optionally denotes the Culture for the contact.","nullable":true},"ContactEntries":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContactEntry"},"description":"List of details for the contact","nullable":true}},"additionalProperties":false},"AddressBookContactEntry":{"required":["Address"],"type":"object","properties":{"EntryId":{"type":"string","description":"Unique string that identifies the contact entry","nullable":true},"Address":{"minLength":1,"type":"string","description":"The address of the recipient"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time","nullable":true}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/addressbookcontacts/{contactId}

> Updates an existing global contact

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Contacts for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookcontacts/{contactId}":{"put":{"tags":["Address Book Contacts for Tenant"],"summary":"Updates an existing global contact","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"contactId","in":"path","description":"Contact Id","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated Contact","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/plain":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"text/xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/AddressBookContact"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"AddressBookContact":{"required":["ContactName"],"type":"object","properties":{"ContactId":{"type":"string","description":"Unique string that identifies the contact","nullable":true},"ContactName":{"minLength":1,"type":"string","description":"A string with contact name"},"IsEscalationContact":{"type":"boolean","description":"In the event of an emergency, escalation contact information will be provided to first responders. Applicable to Tenant contacts only."},"AppliesToSubtenants":{"type":"boolean","description":"Makes tenant contact available also for sub-tenants. Applicable to Tenant contacts only."},"SyncToDevices":{"type":"boolean","description":"Contact is synced to devices. Read only property applicable to Tenant contacts only.","nullable":true},"CultureName":{"type":"string","description":"Optionally denotes the Culture for the contact.","nullable":true},"ContactEntries":{"type":"array","items":{"$ref":"#/components/schemas/AddressBookContactEntry"},"description":"List of details for the contact","nullable":true}},"additionalProperties":false},"AddressBookContactEntry":{"required":["Address"],"type":"object","properties":{"EntryId":{"type":"string","description":"Unique string that identifies the contact entry","nullable":true},"Address":{"minLength":1,"type":"string","description":"The address of the recipient"},"LastUpdated":{"type":"string","description":"A date and time that the entry was last modified","format":"date-time","nullable":true}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/addressbookcontacts/{contactId}

> Deletes a specific global contact

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Address Book Contacts for Tenant"}],"paths":{"/V2/{tenantVarCode}/addressbookcontacts/{contactId}":{"delete":{"tags":["Address Book Contacts for Tenant"],"summary":"Deletes a specific global contact","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"contactId","in":"path","description":"Contact Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
